searchData={"items":[{"type":"module","doc":"Reader for convert_elementing Tiptap elements to Spec Resources.","title":"NLdoc.Conversion.Reader.Tiptap","ref":"NLdoc.Conversion.Reader.Tiptap.html"},{"type":"function","doc":"Converts Tiptap document to a NLdoc document.","title":"NLdoc.Conversion.Reader.Tiptap.convert/1","ref":"NLdoc.Conversion.Reader.Tiptap.html#convert/1"},{"type":"type","doc":"","title":"NLdoc.Conversion.Reader.Tiptap.tiptap_attribute/0","ref":"NLdoc.Conversion.Reader.Tiptap.html#t:tiptap_attribute/0"},{"type":"type","doc":"","title":"NLdoc.Conversion.Reader.Tiptap.tiptap_attribute_value/0","ref":"NLdoc.Conversion.Reader.Tiptap.html#t:tiptap_attribute_value/0"},{"type":"module","doc":"Module for applying Tiptap attributes to Spec resource","title":"NLdoc.Conversion.Reader.Tiptap.Attribute","ref":"NLdoc.Conversion.Reader.Tiptap.Attribute.html"},{"type":"function","doc":"Applies all Tiptap attributes (`{ \"attrs\": ... }`) to the resource.","title":"NLdoc.Conversion.Reader.Tiptap.Attribute.apply/3","ref":"NLdoc.Conversion.Reader.Tiptap.Attribute.html#apply/3"},{"type":"function","doc":"iex> alias NLdoc.Conversion.Reader.Tiptap.Attribute\n    iex> Attribute.apply(%NLdoc.Spec.Image{}, %{\"assetId\" => \"123\"}, [source: \"assetId\"])\n    %NLdoc.Spec.Image{source: \"#123\"}","title":"Examples - NLdoc.Conversion.Reader.Tiptap.Attribute.apply/3","ref":"NLdoc.Conversion.Reader.Tiptap.Attribute.html#apply/3-examples"},{"type":"module","doc":"Module for applying Tiptap marks to Spec resource","title":"NLdoc.Conversion.Reader.Tiptap.Mark","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html"},{"type":"function","doc":"Applies all of Tiptap's marks on text to text and link resources.","title":"NLdoc.Conversion.Reader.Tiptap.Mark.apply/2","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#apply/2"},{"type":"function","doc":"iex> alias NLdoc.Conversion.Reader.Tiptap.Mark\n    iex> alias NLdoc.Spec.{Link, Text}\n    iex> Mark.apply(%Text{id: \"1\", text: \"Hello, world!\"}, [%{\"type\" => \"bold\"}])\n    %Text{id: \"1\", text: \"Hello, world!\", styling: [:bold]}\n    iex> Mark.apply(%Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\"},\n    ...>             [%{\"type\" => \"italic\"}, %{\"type\" => \"underline\"}])\n    %Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\",\n          styling: [:underline, :italic]}\n    iex> Mark.apply(%Text{id: \"1\", text: \"Hello, world!\"}, [%{\"type\" => \"notSupported\"}])\n    %Text{id: \"1\", text: \"Hello, world!\"}","title":"Examples - NLdoc.Conversion.Reader.Tiptap.Mark.apply/2","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#apply/2-examples"},{"type":"type","doc":"","title":"NLdoc.Conversion.Reader.Tiptap.Mark.mark/0","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#t:mark/0"},{"type":"function","doc":"Puts a Tiptap mark on a Spec resource.","title":"NLdoc.Conversion.Reader.Tiptap.Mark.put/2","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#put/2"},{"type":"function","doc":"iex> alias NLdoc.Conversion.Reader.Tiptap.Mark\n    iex> alias NLdoc.Spec.{Link, Text}\n    iex> Mark.put(%Text{id: \"1\", text: \"Hello, world!\"}, %{\"type\" => \"bold\"})\n    %Text{id: \"1\", text: \"Hello, world!\", styling: [:bold]}\n    iex> Mark.put(%Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\", styling: [:italic]},\n    ...>          %{\"type\" => \"underline\"})\n    %Link{id: \"1\", text: \"Hello, world!\", uri: \"https://example.com\",\n          styling: [:underline, :italic]}\n    iex> Mark.put(%Text{id: \"1\", text: \"Hello, world!\"}, %{\"type\" => \"notSupported\"})\n    %Text{id: \"1\", text: \"Hello, world!\"}","title":"Examples - NLdoc.Conversion.Reader.Tiptap.Mark.put/2","ref":"NLdoc.Conversion.Reader.Tiptap.Mark.html#put/2-examples"},{"type":"extras","doc":"# NLdoc.Conversion.Reader.Tiptap","title":"NLdoc.Conversion.Reader.Tiptap","ref":"readme.html"},{"type":"extras","doc":"Add `nldoc_conversion_reader_tiptap` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_conversion_reader_tiptap, \"~> 1.0.0\"}\n  ]\nend\n```\n\nThen, fetch dependencies:\n\n```sh\nmix deps.get\n```","title":"Installation - NLdoc.Conversion.Reader.Tiptap","ref":"readme.html#installation"},{"type":"extras","doc":"Detailed documentation is available at [HexDocs](https://hexdocs.pm/nldoc_conversion_reader_tiptap).","title":"Documentation - NLdoc.Conversion.Reader.Tiptap","ref":"readme.html#documentation"},{"type":"extras","doc":"This project is licensed under the [EUPL-1.2 License](https://joinup.ec.europa.eu/software/page/eupl).","title":"License - NLdoc.Conversion.Reader.Tiptap","ref":"readme.html#license"},{"type":"extras","doc":"# Changelog\n\n## [1.2.9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.8...1.2.9) (2025-04-06)","title":"Changelog","ref":"changelog.html"},{"type":"extras","doc":"* **deps:** update dependency nldoc_test to v3.0.6 ([e6f7b28](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/e6f7b28ad198ff7472375e8657727da7674b14cd))\n\n## [1.2.8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.7...1.2.8) (2025-04-06)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.10 ([9f14b8a](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/9f14b8a626fef90d1c48737368f183da82368ad7))\n\n## [1.2.7](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.6...1.2.7) (2025-04-03)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* update references (GitLab migration) ([2b58dc2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/2b58dc2bdb95df2f05d7e464ebd918249dd036a5))\n\n## [1.2.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.5...1.2.6) (2025-04-03)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_test to v3.0.5 ([81a3238](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/81a3238ff8e135ea95849e78a29d8c05d4801f3b))\n\n## [1.2.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.4...1.2.5) (2025-04-02)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.9 ([c4b891d](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/c4b891d1520c4d4292a4d62ad2336884592cf136))\n\n## [1.2.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.3...1.2.4) (2025-04-02)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.8 ([16a856d](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/16a856d456c02f15505ea9acaf84c3552a297ae3))\n\n## [1.2.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.2...1.2.3) (2025-03-31)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.6 ([b1693a3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/b1693a38a60ef3400635304de42129671ed325d4))\n* **deps:** update dependency nldoc_spec to v1.3.7 ([ef74369](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/ef7436972197848e42cda3a951026589f9bce345))\n\n## [1.2.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.1...1.2.2) (2025-03-30)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_test to v3.0.4 ([686d307](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/686d3074ead61da5dfa4c10cb085ec62e81b933e))\n\n## [1.2.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.2.0...1.2.1) (2025-03-25)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* empty purpose becomes nil ([38b6af0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/38b6af04e4527a0b19d4ed32fdd513610d8f4696))\n\n# [1.2.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.1.6...1.2.0) (2025-03-10)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* rename isDecorative to decorative ([01e457f](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/01e457fafcf9283c3b05509a300530db0a9c3123))\n\n## [1.1.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.1.5...1.1.6) (2025-03-10)","title":"Features - Changelog","ref":"changelog.html#features"},{"type":"extras","doc":"* **deps:** update dependency nldoc_test to v3.0.3 ([d1e3fd1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/d1e3fd16734859a3cfbb7057414ccddd036b5aa9))\n\n## [1.1.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.1.4...1.1.5) (2025-03-10)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.4 ([afa80d4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/afa80d4d415ea4fdf2bb39afc0086cb1d9b9f86f))\n\n## [1.1.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.1.3...1.1.4) (2025-03-09)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.3 ([e4eef44](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/e4eef44ee8e673238afc0209e9de0a42461eeaab))\n\n## [1.1.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.1.2...1.1.3) (2025-03-08)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.2 ([db5a4f5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/db5a4f5c80a7bc438b14e1edae9446d616c73631))\n\n## [1.1.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.1.1...1.1.2) (2025-03-07)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency ex_doc to ~> 0.37 ([7432dfc](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/7432dfc1f66fb2d7d179eb83615f28a282278b94))\n\n## [1.1.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.1.0...1.1.1) (2025-03-03)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **deps:** update dependency nldoc_spec to v1.3.1 ([d46286b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/d46286bdfd65af7648bd25ad0122dac37d5ab316))\n\n# [1.1.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/compare/1.0.0...1.1.0) (2025-02-25)","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **NLD-593:** Throw away images without asset id ([793c28c](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/793c28ced1161953320365ddeacdd4b892363476))","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* **NLD-593:** Convert property decorative on Image ([60258de](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/60258de9ae1802f2a90a656b5a3ecff796b7cf52))\n\n# 1.0.0 (2025-02-05)","title":"Features - Changelog","ref":"changelog.html#features"},{"type":"extras","doc":"* formatter and dialyzer errors ([ae70419](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/ae70419518d3bbcda17b89caa2ab567eb2ad5b90))","title":"Bug Fixes - Changelog","ref":"changelog.html#bug-fixes"},{"type":"extras","doc":"* initial commit ([55af1b9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_conversion_reader_tiptap/commit/55af1b915fcaa0250e5e5fc66c1e5f0d55de574f))","title":"Features - Changelog","ref":"changelog.html#features"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}